
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Java程序员面试秘笈》—— 面试题5 用自己的语言描述Java中的类和对象 / iVAN</title>

    <meta name="description" content="《Java程序员面试秘笈》—— 面试题5 用自己的语言描述Java中的类和对象 面试题5 用自己的语言描述Java中的类和对象 下列关于对象的哪一种说法是正确的?请选择一个正确的答案. (a)对象是可以对其进行实例化从而得到类的东西. (b)对象是类的实例. (c)对象是一种蓝本,据此可以创建抽象的具体实现. (d)对象是指向属性的引用. (e)对象是一种变量. 考点:该面试题考察求职者对于Java类和对象的理解. 出现频率: [面试题解析] 1．类 在处理复杂事物的时候,用到的一种基本手段就是抽象.抽象的目的就是区别事物之间的本质和不同,面向对象编程(OOP)的实质就是利">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Java程序员面试秘笈》—— 面试题5 用自己的语言描述Java中的类和对象</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>面试题5 用自己的语言描述Java中的类和对象</h3>
<p>下列关于对象的哪一种说法是正确的？请选择一个正确的答案。</p>
<p>（a）对象是可以对其进行实例化从而得到类的东西。</p>
<p>（b）对象是类的实例。</p>
<p>（c）对象是一种蓝本，据此可以创建抽象的具体实现。</p>
<p>（d）对象是指向属性的引用。</p>
<p>（e）对象是一种变量。</p>
<p>考点：该面试题考察求职者对于Java类和对象的理解。</p>
<p>出现频率：</p>
<p>【面试题解析】</p>
<h4>1．类</h4>
<p>在处理复杂事物的时候，用到的一种基本手段就是抽象。抽象的目的就是区别事物之间的本质和不同，面向对象编程（OOP）的实质就是利用类和对象来建立抽象模型。</p>
<p>类表示了对象的类别，是创建对象的蓝本。建立一个事物的抽象模型，本质上就是表达该事物的性质和行为。使用类来建立抽象模型，是通过在类中定义变量和方法来实现的。</p>
<p>类中定义的属性是一种可存储值的变量，该变量代表着事物的具体性质。类的对象所具有的行是由定义的方法来实现的。类中定义的变量和方法被称为类的成员。</p>
<p>在项目开发中，类一般可以通过UML建模来表示，如图1.1所示。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzJjNjlkNjQxNzVhZGMwZmNmMWI0ZDUxMDZhNTYwOTcxN2Q0MmQyMDcucG5n.jpg"></p>
<p>图1.1中，定义了类Gun的成员，即类Gun的变量和方法。从UML图中可以看到，类定义了如下所示3个变量。</p>
<ul>
<li>caliber：是一个Double类型的变量，表示Gun类所抽象事物（枪）的口径。</li>
<li>length：是一个Double类型的变量，表示Gun类所抽象事物（枪）的长度。</li>
<li>gun_type：是一个字符串类型的变量，表示Gun类所抽象事物（枪）的类型，例如是手枪还是突击步枪。</li>
</ul>
<p>同时类中定义了如下所示3个方法。</p>
<ul>
<li>fire：定义了Gun的开火行为，及fire方法。</li>
<li>maintenance：定义了Gun的维护方法。</li>
<li>Gun：定义了一个同类同名的构造方法。</li>
</ul>
<p>开发者可以通过UML生成代码工具，或者是手工在编辑器中建立图1.1中所示的类，如下所示：</p>
<pre><code>public class Gun {
 　　　// 定义枪的口径
 　　　public Double caliber;
 　　　// 定义枪的长度
 　　　public Double length;
 　　　// 定义枪的类型
 　　　public int gun_type;
 　　　// 构造方法
 　　　public Gun() {
 　　　}
　　　// 带参数的构造方法
 　　　public Gun(String name) {
 　　　}
 　　　// 开火的方法
 　　　public void fire() {
 　　　　　System._out_.println(gun_type +" is fireing");
 　　　}
 　　　// 维护的方法
 　　　public Boolean maintenance() {
 　　　　　return true;
 　　　}
}</code></pre>
<h4>2．对象</h4>
<p>对象是类的实例。对象在构造时以类为蓝本，创建对象的过程叫做实例化。对象是类所表示的抽象事物的具体实例。例如前面所讲述的Gun类，那么可以根据Gun类创建一个ak47的对象，即Gun的具体实现。</p>
<p>对象可以使用UML来表示，如图1.2所示。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzQ5NGU5NjQxOGMxNjI2NTIyZmFmYWExOGFkN2E2Mzk5YWY0YTIxMTYucG5n.jpg"></p>
<p>ak47是根据Gun类创建的一个对象，在Java程序中，可以使用如下代码创建一个Gun对象：</p>
<pre><code>……
public static void main(String[] args) {
　　　　 //建立一个Gun类对象，即Gun类的实例ak47
　　　　 Gun ak47=new Gun();
　　　　 //定义ak47的口径
　　　　 ak47.caliber=7.6;
　　　　 //定义ak47的长度
　　　　 ak47.length=57.8;
　　　　 //定义ak47的类型
　　　　 ak47.gun_type="AK47";
　　　　 //调用fire方法
　　　　 ak47.fire();
 　　　}
……</code></pre>
<p>运行该示例，结果如下：</p>
<pre><code>AK47 is firing</code></pre>
<p>参考答案：（b）。</p>
<p>本文仅用于学习和交流目的，不代表异步社区观点。非商业转载请注明作译者、出处，并保留本文的原始链接。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-07 14:29:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%91%98/" title="程序员">程序员</a>, <a href="https://www.iamivan.net/tag/%e9%9d%a2%e8%af%95%e9%a2%98/" title="面试题">面试题</a>, <a href="https://www.iamivan.net/tag/uml/" title="UML">UML</a>, <a href="https://www.iamivan.net/tag/%e9%9d%a2%e5%90%91%e5%af%b9%e8%b1%a1%e7%bc%96%e7%a8%8b/" title="面向对象编程">面向对象编程</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b9%e7%9b%ae%e5%bc%80%e5%8f%91/" title="项目开发">项目开发</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Java程序员面试秘笈》—— 面试题5 用自己的语言描述Java中的类和对象的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvnLE1M.html" rel="bookmark">《Java程序员面试秘笈》&mdash;&mdash; 面试题11 使用jar命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面试题11 使用jar命令 Java程序员面试秘笈 请使用jar命令,将test文件夹压缩成.jar文件,并简述其压缩包的结构. 考点:对于Java程序员来说,更多情况下是使用的集成Java开发工具,例如JBuilder.Eclipse等,而对于最基本的Java编译和常见的命令行工具往往都不熟悉.这个面试题主要考察求职者对于Java命令行基本工具的使用,从而了解求职者对Java编程的熟悉程度. 出现频率: [面试题解析]熟练的Java开发者应该掌握常用的Java命令行工具.求职者应该熟练掌握ja			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkAY6db.html" rel="bookmark">《Java程序员面试秘笈》&mdash;&mdash; 面试题12 如何执行mian&lpar;&rpar;方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面试题12 如何执行mian()方法 Java程序员面试秘笈 利用Java SDK中哪一条命令能够执行test的main()方法? (a)java test (b)javac test (c)java test.java (d)java test.class (e)java test.main 考点:考察求职者对java命令的熟悉程度. 出现频率: [面试题解析]求职者容易出现的错误是选择了(d).实际上,java命令后面只需要class文件的名称就可以,不用加入.class全名.如果使用jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3YKYkp.html" rel="bookmark">《Java程序员面试秘笈》&mdash;&mdash; 面试题10 类继承的建模表示方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面试题10 类继承的建模表示方法 Java程序员面试秘笈根据图1.4的UML表示,选择一个正确的描述. (a)Box类是MyBox类的子类. (b)Box类是MyBox类的父类. (c)Box类和MyBox类是聚合关系. (d)Box类和MyBox类是一对多关系. 考点:该面试题貌似简单,在实际的面试中回答正确的却并不是很多,其实只是考察求职者对类的继承的建模表示方法的掌握程度. 出现频率: [面试题解析]Java中有两种机制来保证根据现有的类来构造新的类,那就是继承和聚合.例如,有一个盒子的类			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QjlJp.html" rel="bookmark">《Java程序员面试秘笈》&mdash;&mdash; 面试题6 命名Java变量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面试题6 命名Java变量 请命名以下变量. 考点:该面试题主要考察求职者的编程习惯,良好的编程习惯是一个优秀的Java开发者的必备素质.求职者应该掌握基本的Java命名规范,这样编写出来的代码才能做到够规范和易读. 出现频率: [面试题解析]在面向对象编程中,对于类.对象变量.方法等的命名是非常有技巧的,例如,大小写的区分,使用不同字母开头等.但究其本,追其源,在为一个资源命名时,应该本着描述性和唯一性两大特征,才能保证资源之间不冲突,并且便于记忆. 1．包的命名 Java包的名字都是由小写单			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRQx8b.html" rel="bookmark">《Java程序员面试秘笈》&mdash;&mdash; 面试题1 简单描述Java开发包的种类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面试题1 简单描述Java开发包的种类 考点:考察求职者对于Java体系的认识,属于Java程序员的必备知识. 出现频率: [面试题解析]随着Java语言的成长和壮大,Java的开发包根据用途的不同已经分为Java EE.Java SE和Java ME 3个开发包,求职者需要列出名称,并具体描述每个开发包的用途. 参考答案: Java SDK的版本分类如下所述. Java ME:(Java Platform Micro Edition)一种以广泛的消费性产品为目的的高度优化的Java运行环境,包			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rZv7z.html" rel="bookmark">《Java程序员面试秘笈》&mdash;&mdash; 面试题4 列出你熟悉的Java开发工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面试题4 列出你熟悉的Java开发工具 考点:该问题一般会在面试时出现,主要是看求职者是否熟悉常用的Java开发工具,因为一个项目开发团队会使用一种固定的开发工具,只有求职者能够熟练使用该工具,才能够快速融入该团队. 出现频率: [面试题解析]Java作为一种跨平台开发语言,由于其开源性,各个公司和社区组织,都推出了各自的Java开发工具,这也是Java开发体系同微软的开发体系的区别之一.不同的项目开发团队一般都有自己熟悉的开发工具或者开发环境,求职者只有熟练使用不同的开发工具,才能适应项目开发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdWQJdM.html" rel="bookmark">《Java程序员面试秘笈》&mdash;&mdash; 面试题2 Java语言的特性有哪些</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面试题2 Java语言的特性有哪些 考点:考察求职者对Java语言的认识. 出现频率: [面试题解析]需要求职者列出Java语言的几个重要特点.答题时只需要写出特点,一般不需要详细解释.下面参考答案中给出了相应的详细描述,供读者参考,同时加强理解. 参考答案: Java语言是一个面向对象的程序设计语言.Java语言吸收了Smalltalk语言和C++语言的优点,并增加了其他特性,如支持并发程序设计.网络通信和多媒体数据控制等.主要特性如下. (1)Java语言是简单的.一方面,Java语言的语法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJko5vb.html" rel="bookmark">《Java程序员面试秘笈》&mdash;&mdash; 面试题3 Linux操作系统下如何安装Java SE开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面试题3 Linux操作系统下如何安装Java SE开发环境 考点:由于大部分的计算机用户都使用Windows作为操作系统,而Java语言是具有跨平台优势的,不同企业有不同的开发环境,本试题考察求职者是否有在Linux下开发Java的经验.Linux环境下的Java安装是一个基础问题. 出现频率: [面试题解析]该问题有两个关键点,一个是Linux版本Java SDK的文件类型,另外一个是Linux环境变量的配置. 参考答案: Oracle发布的Linux操作系统Java包有JDK和JRE两种版			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeoRnAM.html" rel="bookmark">《Java程序员面试秘笈》&mdash;&mdash; 面试题7 理解成员</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面试题7 理解成员 下面关于实例成员的哪一种说法是正确的? (a)实例成员也被称为静态成员. (b)实例成员总是变量. (c)实例成员从不是方法. (d)实例成员隶属于实例,但不隶属于整个类. (e)实例成员总是代表着运算. 考点:考察求职者对于实例成员的理解. 出现频率: [面试题解析] 1．实例成员 对象是以类为蓝本创建的类的实例.在类中,一般都定义了类的成员(变量和方法),在创建类的对象时,对象都会拥有类中所定义变量的副本,对象的变量也被称为实例变量.对象的实例变量的值代表了该对象的状态,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6Eoby.html" rel="bookmark" class="title">Python中List&period;index&lpar;&rpar;方法的使用教程</a>
					<div>
						  这篇文章主要介绍了Python中List.index()方法的使用教程,是Python入门中的基础知识,需要的朋友可以参考下 index()方法返回obj出现在列表中最低位索引. 语法 以下是in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkAjdb.html" rel="bookmark" class="title">开发板-关于linux下can的相互通讯</a>
					<div>
						问题描述 关于linux下can的相互通讯 最近在做在linux下can的相互通讯,可是开发板上的例程只有一部分,我是个新手不知道怎么补全. 请问谁有这方面的资料啊?用的什么板子?收发程序是什么?请各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvVD8M.html" rel="bookmark" class="title">如何获取Windows系统登陆用户名</a>
					<div>
						一般用 GetUserName(或 GetUserNameEx )函数可得到当前登陆登陆用户名(但不总会得到,下面会分析),此系统函数在Win95.WinNT 及以后所有操作系统中都可用.代码如下:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrd0Ep.html" rel="bookmark" class="title">使用win7系统中语音识别功能操作电脑</a>
					<div>
						Win7作为微软新一代操作系统,不仅有炫酷的桌面设计,也有新颖便利的功能,当然也有更智能化的功能设计,其中,语音控制就是一 个比较智能化的功能,动动嘴就可以实现对电脑的控制操作,抛开传统的鼠标和键盘, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK08AM.html" rel="bookmark" class="title">C&plus;&plus;类对象的拷贝构造函数分析</a>
					<div>
						对于普通类型的对象来说,它们之间的复制是很简单的,例如: int a=100;int b=a; 而类对象与普通对象不同,类对象内部结构一般较为复杂,存在各种成员变量.下面看一个类对象拷贝的简单例子.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKGe6p.html" rel="bookmark" class="title">Mysql version can not be less than 4&period;1</a>
					<div>
						Mysql version can not be less than 4.1 这个直接翻译过来是:Mysql数据库版本不能低于4.1 貌似是数据库版本的问题,真是这样的吗? 经过前后空间数据库版本的观 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnBgDz.html" rel="bookmark" class="title">Photoshop制作漂亮飘逸的红色双层光束</a>
					<div>
						单一的光束比较容易刻画,把暗部,高光及反光区域渲染处理即可.同样双层及多层的光束制作方法相同,只是光束的叠加区域需要重新渲染,需要把透明感渲染出来. 三联推荐:photoshop7.0迷你版免费下载  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKj73M.html" rel="bookmark" class="title">用户体验设计师必备的4种UX文档</a>
					<div>
						  当谈及用户体验相关的文档之时,线框图和原型相关的文档无疑是其中最重要的.但值得注意的是,用户体验所涵盖的范畴不止于此,它们也仅仅只是个开始.实际上,我们发现还有四份文档也是日常用户体验设计中极其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2oQwM.html" rel="bookmark" class="title">删除IE中单个网站域的缓存和Cookie</a>
					<div>
						说到如何删除IE浏览器中的缓存和Cookie,相信大部分用户应该都知道如何操作吧!只需在 Internet 选项中选中 Cookie 和 临时文件夹进行删除即可.不过用这个方法进行删除的话则会将IE浏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rgx9p.html" rel="bookmark" class="title">php的一个简单加密解密代码</a>
					<div>
						 分享一个php加密解密的类,在用户注册的时候发送邮件验证的时候估计会用的到的,代码如下    代码如下: class SysCrypt{  private $crypt_key='http://ww ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA7rLb.html" rel="bookmark" class="title">word2013如何批量为平方米上标</a>
					<div>
						  word2013批量为平方米上标的步骤如下: 步骤一:首先打开word2013软件,打开文档,我们看到下图,例如:面积A=4600×105m2 ,后面的平方米都没有上标,然而因为工作疏忽或其他原因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGGyDb.html" rel="bookmark" class="title">Win8怎么打开开始菜单？</a>
					<div>
						  对于刚接触Win8系统的用户,很多功能都还不知道怎么用.最近,刚升级到Win8系统后,发现右下角开始菜单不见了,这是什么回事?那么Win8系统开始菜单在哪里?Win8系统怎么打开开始菜单呢?现在就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oL0kb.html" rel="bookmark" class="title">读书时间--回溯法浅析：逆向思维领略算法之美</a>
					<div>
						下面将使用回溯思想解决若干经典问题并通过它们来说明使用回溯的基本思路 什么叫回溯法 回溯是一种比较简单.比较常用的搜索策略. 它的基本思想是假设某问题的解决步骤可能有N步,且每一步的解决方法又可能有M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB8eVz.html" rel="bookmark" class="title">郭涛父子亮相发布会推荐中文版《愤怒的小鸟》</a>
					<div>
						摘要: 郭涛父子亮相发布会推荐中文版&lt;愤怒的小鸟&gt; 国内游戏代理商 拓维信息 携手Rovio公司17日在北京举办战略发布会,宣布&lt;愤怒的小鸟(中文版)&gt;将于24日在安卓渠道上线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3dZvz.html" rel="bookmark" class="title">jsp-java 显示柱状图报错</a>
					<div>
						问题描述 java 显示柱状图报错 package wsy.servlet; import java.awt.Color; import java.awt.Font; import java.io.I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoeqBb.html" rel="bookmark" class="title">oracle转mysql总结（转）</a>
					<div>
						ares-sdk初始开发测试使用的是oracle数据库,由于宁波通商的特殊需要,必须把数据库环境从oracle转向mysql. 现对转换过程中出现的问题及经验总结如下: 主键生成策略 创建一个专门记录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx2Wdb.html" rel="bookmark" class="title">Java 8学习资料汇总</a>
					<div>
						本文首发于InfoQ. Java 8发布已经有一段时间,它被认为是Java 5发布以来最大的一次版本升级.Java 8 为Java语言.编译器.类库.开发工具以及JVM(Java虚拟机)带来了大量新特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZyBNM.html" rel="bookmark" class="title">datapicker-如何得到滚动式的日期选择器</a>
					<div>
						问题描述 如何得到滚动式的日期选择器 要求,在一个activity底部弹出一个滚动式的日期选择器,要美观的 解决方案 http://bbs.csdn.net/topics/320016200 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm82xM.html" rel="bookmark" class="title">Python网络编程中urllib2模块的用法总结&lowbar;python</a>
					<div>
						一.最基础的应用 import urllib2 url = r'http://www.baidu.com' html = urllib2.urlopen(url).read() print html  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd7mPb.html" rel="bookmark" class="title">成都南京两地警方微博联播&OpenCurlyDoubleQuote;女子防身14招&rdquo;</a>
					<div>
						&quot;女子防身14招&quot;宣传画.(微博截图) 从去年开始,一条&quot;女生记住这14条可以救命&quot;的帖子,在各大论坛广泛流传.这条&quot;技术帖&quot;总结了单身女子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JNRJz.html" rel="bookmark" class="title">数字信号处理中MATLAB问题</a>
					<div>
						问题描述 数字信号处理中MATLAB问题 假设信号由单频正弦信号和均值为零的均匀分布白噪声叠加而成,其中正弦信号的幅度为0.1,归一化频率为0.125,信噪比 ,试利用MATLAB产生该含噪声信号,求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDneZLM.html" rel="bookmark" class="title">dul无法加载bootstrap实现unload table&sol;user恢复&lowbar;jquery</a>
					<div>
						联系:手机(+86 13429648788) QQ(107644445)QQ咨询惜分飞 标题:dul无法加载bootstrap实现unload table/user恢复 作者:惜分飞 最近有朋友误操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJk2Rp.html" rel="bookmark" class="title">曾文旌的私房菜：开源数据库Greenplum Database的实现解析</a>
					<div>
						Greenplum DB 号称是世界上第一个开源的大规模并行数据仓库,最初是基于 PostgreSQL,现在已经添加了大量数据库方面的创新.Greenplum 提供 PD 级别数据量的强大和快速分析能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQXmKp.html" rel="bookmark" class="title">台湾人均耗电量亚洲第一，低电价致台电欠债1&period;06万亿元</a>
					<div>
						台湾的人均耗电量居亚洲第一.东方IC 资料 低电价:台当局不敢说的秘密 人均耗电量亚洲第一 不看数据可能不敢相信,小小台湾,人均耗电量居然是亚洲第一. 根据世界能源署统计,2012年台湾人均年耗电量已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB68wz.html" rel="bookmark" class="title">tomcat的工作原理-TOMCAT如何工作？tomcat的运行原理</a>
					<div>
						问题描述 TOMCAT如何工作?tomcat的运行原理 近来被一件事情困扰,那就是不知道tomcat到底是怎么工作的,我只了解tomcat是一个中间件,可以部署项目,启动服务,我想了解tomcat到底 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRJAKp.html" rel="bookmark" class="title">新一代WiFi技术HaLow盯上智能家庭和物联网</a>
					<div>
						一种功耗更低,传输距离更长.覆盖范围更广的最新WiFi新技术即将面世,WiFi联盟将它命名为&quot;HaLow&quot;. 今年年初,WiFi联盟正式发布了802.11ah WiFi标准,即&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1ylGb.html" rel="bookmark" class="title">PPTV，一个&OpenCurlyDoubleQuote;贫血症&rdquo;患者的三年病史</a>
					<div>
						互联网圈内事 有这么一家身患贫血症的公司,他们和Youtube同年创办,早期凭借网络电视直播获得了大量人气.虽然天生贫血,但他们幸运地从孙正义那里拿到了数亿美元的巨额融资.此后却开始无度的挥霍,不光虚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLNq6M.html" rel="bookmark" class="title">网页效果-求助！网页广告轮播效果出问题了</a>
					<div>
						问题描述 求助!网页广告轮播效果出问题了 我已经被这个问题困惑很久了,图片不是一张张的的过,是卡一半过,一张图它给我算两张过. 解决方案 http://zhidao.baidu.com/link?ur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlR6qp.html" rel="bookmark" class="title">事实证明 Linux 永远是 number 1</a>
					<div>
						嗨,我正在写一个简单的程序,我要让这个程序打印出一个整数. #include &lt;stdio.h&gt; int main() { int linux = 701; printf(&quot;%d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAK1Rp.html" rel="bookmark" class="title">sql 利用另一个数据自动生成一张新表</a>
					<div>
						Syntax #1 - Copying all columns from another table The basic syntax is:  代码如下 复制代码 CREATE TABLE new_ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
